import { AbstractionLoader } from '../build';
/**
 * Helper to build an abstraction loader from a root path on the file system.
 * The returned loader will :
 * - use the root path to resolve relative paths for abstractions.
 * - suffix all abstraction names with .pd if they don't already have an extension.
 *
 * @param rootUrl
 * @returns
 */
export declare const makeFsAbstractionLoader: (rootDirPath: string) => AbstractionLoader;
