import { NodeImplementations } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    value: number;
}
declare const nodeImplementations: NodeImplementations;
declare const builders: {
    '+': NodeBuilder<NodeArguments>;
    '-': NodeBuilder<NodeArguments>;
    '*': NodeBuilder<NodeArguments>;
    '/': NodeBuilder<NodeArguments>;
    max: NodeBuilder<NodeArguments>;
    min: NodeBuilder<NodeArguments>;
    mod: NodeBuilder<NodeArguments>;
    '%': NodeBuilder<NodeArguments>;
    pow: NodeBuilder<NodeArguments>;
    log: NodeBuilder<NodeArguments>;
    '||': NodeBuilder<NodeArguments>;
    '&&': NodeBuilder<NodeArguments>;
    '>': NodeBuilder<NodeArguments>;
    '>=': NodeBuilder<NodeArguments>;
    '<': NodeBuilder<NodeArguments>;
    '<=': NodeBuilder<NodeArguments>;
    '==': NodeBuilder<NodeArguments>;
    '!=': NodeBuilder<NodeArguments>;
};
export { builders, nodeImplementations, NodeArguments };
