import { NodeImplementations } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    value: number;
}
declare const nodeImplementations: NodeImplementations;
declare const builders: {
    '+~': NodeBuilder<NodeArguments>;
    '-~': NodeBuilder<NodeArguments>;
    '*~': NodeBuilder<NodeArguments>;
    '/~': NodeBuilder<NodeArguments>;
    'min~': NodeBuilder<NodeArguments>;
    'max~': NodeBuilder<NodeArguments>;
    'pow~': NodeBuilder<NodeArguments>;
};
export { builders, nodeImplementations, NodeArguments };
