import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
import { ControlsBaseNodeArguments } from './controls-base';
export type _NodeImplementation = NodeImplementation<ControlsBaseNodeArguments>;
declare const builders: {
    floatatom: NodeBuilder<ControlsBaseNodeArguments>;
    symbolatom: NodeBuilder<ControlsBaseNodeArguments>;
    listbox: NodeBuilder<ControlsBaseNodeArguments>;
};
declare const nodeImplementations: {
    floatatom: _NodeImplementation;
    symbolatom: _NodeImplementation;
    listbox: _NodeImplementation;
};
export { builders, nodeImplementations, ControlsBaseNodeArguments as NodeArguments };
