import { NodeImplementation, NodeImplementations } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
import { ControlsBaseNodeArguments } from './controls-base';
interface NodeArguments extends ControlsBaseNodeArguments {
    minValue: number;
    maxValue: number;
    initValue: number;
    outputOnLoad: boolean;
}
export type _NodeBuilder = NodeBuilder<NodeArguments>;
export type _NodeImplementation = NodeImplementation<NodeArguments>;
declare const nodeImplementations: NodeImplementations;
declare const builders: {
    tgl: _NodeBuilder;
    nbx: _NodeBuilder;
    hsl: _NodeBuilder;
    vsl: _NodeBuilder;
    hradio: _NodeBuilder;
    vradio: _NodeBuilder;
};
export { builders, nodeImplementations, NodeArguments };
