import { DspGraph } from '@webpd/compiler';
import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    operation: string;
    operationArgs: Array<DspGraph.NodeArgument>;
}
type _NodeImplementation = NodeImplementation<NodeArguments>;
declare const builder: NodeBuilder<NodeArguments>;
declare const nodeImplementation: _NodeImplementation;
export { builder, nodeImplementation, NodeArguments };
