import '../../../WebPd_runtime/dist/WebPd_runtime/src/utils.js';
import index from '../../../WebPd_runtime/dist/WebPd_runtime/src/fs-web/index.js';
import { urlDirName } from './url-helpers.js';
import '../../../WebPd_compiler/dist/src/compile/precompile/proxies.js';
import '../../../WebPd_compiler/dist/src/stdlib/fs.js';
import '../../../WebPd_compiler/dist/src/compile/precompile/nodes.js';
import { readMetadata as readMetadata$1 } from '../../../WebPd_compiler/dist/src/run/index.js';
import '../../../WebPd_compiler/dist/src/compile/proxies.js';

const defaultSettingsForRun = (patchUrl) => {
    const rootUrl = urlDirName(patchUrl);
    return {
        messageHandler: (node, message) => index(node, message, { rootUrl }),
    };
};
const readMetadata = (compiledPatch) => {
    if (typeof compiledPatch === 'string') {
        return readMetadata$1('javascript', compiledPatch);
    }
    else {
        return readMetadata$1('assemblyscript', compiledPatch);
    }
};

export { defaultSettingsForRun, readMetadata };
