import { AbstractionLoader, Settings } from '../build';
export declare const defaultSettingsForBuild: (rootUrl: string) => Settings;
/**
 * Helper to build an abstraction loader from a root url.
 * The returned loader will :
 * - use the root url to resolve relative paths for abstractions.
 * - suffix all abstraction names with .pd if they don't already have an extension.
 *
 * @param rootUrl
 * @returns
 */
export declare const makeUrlAbstractionLoader: (rootUrl: string) => AbstractionLoader;
