import { Code } from '@webpd/compiler';
import { WasmBuffer } from '../build/types';
import { WebPdWorkletNode, WebPdWorkletNodeMessageHandler } from '@webpd/runtime';
export interface Settings {
    messageHandler: (node: WebPdWorkletNode, ...rest: Parameters<WebPdWorkletNodeMessageHandler>) => ReturnType<WebPdWorkletNodeMessageHandler>;
}
declare const _default: (audioContext: AudioContext, compiledPatch: Code | WasmBuffer, settings: Settings) => Promise<WebPdWorkletNode>;
export default _default;
