import { NodeImplementations } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    value: number;
}
declare const builders: {
    float: NodeBuilder<NodeArguments>;
    f: {
        aliasTo: string;
    };
    int: NodeBuilder<NodeArguments>;
    i: {
        aliasTo: string;
    };
};
declare const nodeImplementations: NodeImplementations;
export { builders, nodeImplementations, NodeArguments };
