import { NodeImplementation } from '@webpd/compiler/src/compile/types';
import { NodeBuilder } from '../../compile-dsp-graph/types';
interface NodeArguments {
    busName: string;
}
type _NodeImplementation = NodeImplementation<NodeArguments>;
declare const builders: {
    send: NodeBuilder<NodeArguments>;
    receive: NodeBuilder<NodeArguments>;
};
declare const nodeImplementations: {
    send: _NodeImplementation;
    receive: _NodeImplementation;
};
export { builders, nodeImplementations, NodeArguments };
