import { GlobalCodeGenerator } from '@webpd/compiler/src/compile/types';
import { VariableName } from '@webpd/compiler/src/ast/types';
export type TypeArgument = 'float' | 'bang' | 'symbol' | 'list' | 'anything';
export declare const resolveTypeArgumentAlias: (value: string) => string;
export declare const assertTypeArgument: (value: string) => TypeArgument;
export declare const renderMessageTransfer: (typeArgument: TypeArgument, msgVariableName: VariableName, index: number) => string;
export declare const messageTokenToFloat: GlobalCodeGenerator;
export declare const messageTokenToString: GlobalCodeGenerator;
